Subject: bug#48479: 28.0.50; Crash on `read--expression'

From: Andreas Schwab <[email-masked]>
Date: Tue, 18 May 2021 19:46:28 +0200

On Mai 18 2021, Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>> Is there any significant advantage of not detecting syntax errors?
>> I don't think I agree that this is a syntax error.
>> What do others think about this?  Lars? Stefan? Richard?
>
> I think the condition handler of `condition-case` should be of the form
> (CONDITIONS . BODY) so I think having nil counts as a syntax error, tho
> it's arguable since nil ≃ (nil . nil)

For some reason, the loop at the top of internal_lisp_condition_case
explicitly allows for a handler to be nil.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."